<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <link rel="stylesheet" href="style3.css">
</head>
<body>
    <div class="container"></div>
    <img src="images/menu.png" id="menuIcon">
    <h2 class="logo">BookBuddy</h2>
    <p class="texts">Login</p>
    
    <div class="menu-box" id="menuBox">
        <ul>
            <li><a href="index.html">Home</a></li>
            <li><a href="login.html">Login</a></li>
            <li><a href="#">Terms & Conditions</a></li>
            <li><a href="#">About Us</a></li>
        </ul>
    </div> 

    <section class="container forms">
        <div class="form login">
            <div class="form-content">
                
                <form action="#">
                    <div class="field input-field">
                        <input type="email" id = 'email' placeholder="Email" class="input">
                    </div>
                    <div class="field input-field">
                        <input type="password"id = 'pw' placeholder="Password" class="password">
                        <i class='bx bx-hide eye-icon'></i>
                    </div>
                    <div class="form-link">
                        <a href="#" class="forgot-pass">Forgot password?</a>
                    </div>
                    <div class="field button-field">
                        <button  id = "login-btn"><a style="text-decoration: none;color: white;"></a>Login</button>
                        <!-- <button><a style="text-decoration: none;color: white;">Login</a></button> -->
                    </div> 
                </form>
                <div class="form-link">
                    <!-- <span>Don't have an account? <a href="#    " class="link signup-link">Signup</a></span> -->
                    <!-- <span>Don't have an account? <a href="signup.html">Signup</a></span> -->
                    <span>Don't have an account? <a href="signup.html">Signup</a></span>
                    
                </div>
            </div>
            
        </div>        
    </section>

    <script>
        

function login() {
    console.log("FUNCTION TEST")
    var loginData = {
        email: document.getElementById("email").value,
        password: document.getElementById("pw").value
    };

    fetch('/login', {
        method: "POST",
        body: JSON.stringify(loginData),
        headers: { "content-type": "application/json; charset=UTF-8" }
    })
    .then(response => {
        if (response.ok) {
            window.location.href = "Admindash.html"; 
        } else {
            throw new Error(response.statusText);
        }
    })
    .catch(error => {
        if (error.message === "Unauthorized") {
            alert("Credentials do not match!");
        } else {
            console.error("An error occurred:", error);
        }
    });
}
var loginBtn =  document.querySelector("#login-btn")
console.log(loginBtn)
// loginBtn.addEventListener("click", (e) => {
//     console.log("BUTTON TEST")
//     e.preventDefault()
//     login()
// })
loginBtn.addEventListener('click', (e)=>{
    e.preventDefault()
    login()
})
        console.log("HTML TEST")
            let menuBox= document.getElementById("menuBox");
            let menuIcon= document.getElementById("menuIcon");
            menuIcon.onclick=function(){
                menuBox.classList.toggle("open-menu");
                if(menuBox.classList.contains("open-menu")){
                    menuIcon.src="images/close.png"
                }
                    else{
                    menuIcon.src="images/menu.png"
                }
            }

            const forms = document.querySelector(".forms"),
            pwShowHide = document.querySelectorAll(".eye-icon"),
            links = document.querySelectorAll(".link");
                pwShowHide.forEach(eyeIcon => {
                eyeIcon.addEventListener("click", () => {
                let pwFields = eyeIcon.parentElement.parentElement.querySelectorAll(".password");
                
                pwFields.forEach(password => {
                    if(password.type === "password"){
                        password.type = "text";
                        eyeIcon.classList.replace("bx-hide", "bx-show");
                        return;
                    }
                    password.type = "password";
                    eyeIcon.classList.replace("bx-show", "bx-hide");
                })
                
            })
        })      
        links.forEach(link => {
            link.addEventListener("click", e => {
            e.preventDefault(); //preventing form submit
            forms.classList.toggle("show-signup");
            })
        })
    </script>
    <script src="js/login.js"></script>

</body>
</html>